Index: trunk/demos/CMakeLists.txt
===================================================================
--- trunk/demos/CMakeLists.txt	(revision 301)
+++ trunk/demos/CMakeLists.txt	(revision 302)
@@ -1,5 +1,5 @@
 PROJECT(FlairDemos)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/CircleFollower/)
Index: trunk/demos/CircleFollower/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/CircleFollower/simulator/CMakeLists.txt	(revision 301)
+++ trunk/demos/CircleFollower/simulator/CMakeLists.txt	(revision 302)
@@ -2,11 +2,8 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -14,29 +11,6 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR CircleFollower
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x4.sh	(revision 302)
@@ -6,5 +6,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -n x4_0 -t x4 -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
+$EXEC -n x4_0 -t x4 -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ trunk/demos/CircleFollower/simulator/resources/core2-64/simulator_x8.sh	(revision 302)
@@ -1,5 +1,5 @@
 #! /bin/bash
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 if [ -f /proc/xenomai/version ];then
@@ -9,3 +9,3 @@
 fi
 
-$EXEC -n x8_0 -t x8 -p 9000 -a 127.0.0.1 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
+$EXEC -n x8_0 -t x8 -p 9000 -a 127.0.0.1 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/CircleFollower/uav/CMakeLists.txt
===================================================================
--- trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 301)
+++ trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 302)
@@ -2,5 +2,4 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
@@ -8,8 +7,6 @@
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -18,29 +15,6 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR CircleFollower
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/CircleFollower/uav/resources/core2-64/x4.sh
===================================================================
--- trunk/demos/CircleFollower/uav/resources/core2-64/x4.sh	(revision 301)
+++ trunk/demos/CircleFollower/uav/resources/core2-64/x4.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x4_0 -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu 
Index: trunk/demos/CircleFollower/uav/resources/core2-64/x8.sh
===================================================================
--- trunk/demos/CircleFollower/uav/resources/core2-64/x8.sh	(revision 301)
+++ trunk/demos/CircleFollower/uav/resources/core2-64/x8.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu
Index: trunk/demos/Gps/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/Gps/simulator/CMakeLists.txt	(revision 301)
+++ trunk/demos/Gps/simulator/CMakeLists.txt	(revision 302)
@@ -2,11 +2,8 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -14,29 +11,6 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR Gps
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT} nmea)
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT} nmea)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/Gps/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- trunk/demos/Gps/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ trunk/demos/Gps/simulator/resources/core2-64/simulator_x4.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -n x4_0 -t x4 -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
+$EXEC -n x4_0 -t x4 -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/Gps/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- trunk/demos/Gps/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ trunk/demos/Gps/simulator/resources/core2-64/simulator_x8.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -n x8_0 -t x8 -p 9000 -a 127.0.0.1 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
+$EXEC -n x8_0 -t x8 -p 9000 -a 127.0.0.1 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/Gps/uav/CMakeLists.txt
===================================================================
--- trunk/demos/Gps/uav/CMakeLists.txt	(revision 301)
+++ trunk/demos/Gps/uav/CMakeLists.txt	(revision 302)
@@ -2,13 +2,10 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
 SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -17,30 +14,6 @@
 )
 
-
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR Gps
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/Gps/uav/resources/core2-64/x4.sh
===================================================================
--- trunk/demos/Gps/uav/resources/core2-64/x4.sh	(revision 301)
+++ trunk/demos/Gps/uav/resources/core2-64/x4.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x4_0 -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu
Index: trunk/demos/Gps/uav/resources/core2-64/x8.sh
===================================================================
--- trunk/demos/Gps/uav/resources/core2-64/x8.sh	(revision 301)
+++ trunk/demos/Gps/uav/resources/core2-64/x8.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu
Index: trunk/demos/HelloWorld/CMakeLists.txt
===================================================================
--- trunk/demos/HelloWorld/CMakeLists.txt	(revision 301)
+++ trunk/demos/HelloWorld/CMakeLists.txt	(revision 302)
@@ -8,12 +8,12 @@
 SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 
-add_custom_target(
-    delivery
-    COMMAND make
-    COMMAND scp bin/${PROJECT_NAME} root@192.168.6.1:/home/root/
-)
+#add_custom_target(
+#    delivery
+#    COMMAND make
+#    COMMAND scp bin/${PROJECT_NAME} root@192.168.147.63:/home/root/
+#)
 
 INSTALL(
 	TARGETS ${PROJECT_NAME}
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-install/bin/demos/${ARCH_DIR}/${PROJECT_NAME}
 )
Index: trunk/demos/MixedReality/real/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/real/simulator/CMakeLists.txt	(revision 301)
+++ trunk/demos/MixedReality/real/simulator/CMakeLists.txt	(revision 302)
@@ -2,11 +2,8 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if("${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "core2-64")
@@ -16,30 +13,7 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-)
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR MixedReality_real
+           COPY_RESOURCES
 )
 
Index: trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.sh	(revision 302)
@@ -6,5 +6,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
+$EXEC -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/MixedReality/real/uav/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/real/uav/CMakeLists.txt	(revision 301)
+++ trunk/demos/MixedReality/real/uav/CMakeLists.txt	(revision 302)
@@ -2,5 +2,4 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
@@ -8,8 +7,5 @@
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
-SET(COPY_RESOURCE_FILES true)
-
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -18,29 +14,6 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR MixedReality_real
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh
===================================================================
--- trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh	(revision 301)
+++ trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu0 -v 127.0.0.1:3884
Index: trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt	(revision 301)
+++ trunk/demos/MixedReality/virtual/simulator/CMakeLists.txt	(revision 302)
@@ -2,12 +2,9 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if("${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "core2-64")
@@ -17,30 +14,7 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-)
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR MixedReality_virtual
+           COPY_RESOURCES
 )
 
Index: trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.sh	(revision 302)
@@ -6,5 +6,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml -v 127.0.0.1:3883
+$EXEC -p 9000 -a 127.0.0.1 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml -v 127.0.0.1:3883
Index: trunk/demos/MixedReality/virtual/uav/CMakeLists.txt
===================================================================
--- trunk/demos/MixedReality/virtual/uav/CMakeLists.txt	(revision 301)
+++ trunk/demos/MixedReality/virtual/uav/CMakeLists.txt	(revision 302)
@@ -2,5 +2,4 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
@@ -8,8 +7,6 @@
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if("${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "core2-64")
@@ -20,30 +17,7 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-)
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR MixedReality_virtual
+           COPY_RESOURCES
 )
 
Index: trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh
===================================================================
--- trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh	(revision 301)
+++ trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu0 -v 127.0.0.1:3884
Index: trunk/demos/OpticalFlow/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/OpticalFlow/simulator/CMakeLists.txt	(revision 301)
+++ trunk/demos/OpticalFlow/simulator/CMakeLists.txt	(revision 302)
@@ -2,11 +2,8 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -14,33 +11,6 @@
 )
 
-LINK_DIRECTORIES (
-	${FLAIR_LIBRARY_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR OpticalFlow
+           COPY_RESOURCES
 )
-
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-)
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x4.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -n x4_0 -t x4 -a 127.0.0.1 -p 9000 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
+$EXEC -n x4_0 -t x4 -a 127.0.0.1 -p 9000 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ trunk/demos/OpticalFlow/simulator/resources/core2-64/simulator_x8.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -n x8_0 -t x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
+$EXEC -n x8_0 -t x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/OpticalFlow/uav/CMakeLists.txt
===================================================================
--- trunk/demos/OpticalFlow/uav/CMakeLists.txt	(revision 301)
+++ trunk/demos/OpticalFlow/uav/CMakeLists.txt	(revision 302)
@@ -1,16 +1,12 @@
 PROJECT(OpticalFlow)
 cmake_minimum_required(VERSION 2.8)
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 if(NOT "${CMAKE_SYSTEM_PROCESSOR_DEFAULTTUNE}" MATCHES "armv5te")
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
 SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
-SET(COPY_RESOURCE_FILES true)
-
-include(${FLAIR_USE_FILE})
 
 SET(SRC_FILES
@@ -19,30 +15,7 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-)
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR OpticalFlow
+           COPY_RESOURCES
 )
 
Index: trunk/demos/OpticalFlow/uav/resources/core2-64/x4.sh
===================================================================
--- trunk/demos/OpticalFlow/uav/resources/core2-64/x4.sh	(revision 301)
+++ trunk/demos/OpticalFlow/uav/resources/core2-64/x4.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x4_0 -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu -v dsp_stub
Index: trunk/demos/OpticalFlow/uav/resources/core2-64/x8.sh
===================================================================
--- trunk/demos/OpticalFlow/uav/resources/core2-64/x8.sh	(revision 301)
+++ trunk/demos/OpticalFlow/uav/resources/core2-64/x8.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l /tmp -x setup_x8.xml -t x8_simu -v dsp_stub
Index: trunk/demos/PidStandalone/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/PidStandalone/simulator/CMakeLists.txt	(revision 301)
+++ trunk/demos/PidStandalone/simulator/CMakeLists.txt	(revision 302)
@@ -2,12 +2,8 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
-
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -15,30 +11,6 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR PidStandalone
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
Index: trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x4.sh
===================================================================
--- trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x4.sh	(revision 301)
+++ trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x4.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $IGEP_ROOT/uav_dev/bin/noarch/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -n x4_0 -t x4 -a 127.0.0.1 -p 9000 -x simulator_x4.xml -o 10 -m $IGEP_ROOT/uav_dev/media -s $IGEP_ROOT/uav_dev/media/optitrack_b122.xml
+$EXEC -n x4_0 -t x4 -a 127.0.0.1 -p 9000 -x simulator_x4.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ trunk/demos/PidStandalone/simulator/resources/core2-64/simulator_x8.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $IGEP_ROOT/uav_dev/bin/noarch/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC  -n x8_0 -t x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $IGEP_ROOT/uav_dev/media -s $IGEP_ROOT/uav_dev/media/optitrack_b122.xml
+$EXEC  -n x8_0 -t x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/PidStandalone/uav/CMakeLists.txt
===================================================================
--- trunk/demos/PidStandalone/uav/CMakeLists.txt	(revision 301)
+++ trunk/demos/PidStandalone/uav/CMakeLists.txt	(revision 302)
@@ -2,13 +2,10 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
 SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -17,29 +14,6 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR PidStandalone
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/PidStandalone/uav/resources/core2-64/x4.sh
===================================================================
--- trunk/demos/PidStandalone/uav/resources/core2-64/x4.sh	(revision 301)
+++ trunk/demos/PidStandalone/uav/resources/core2-64/x4.sh	(revision 302)
@@ -6,5 +6,5 @@
 fi
 
-. $IGEP_ROOT/uav_dev/bin/noarch/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x4_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x4.xml -t x4_simu $*
Index: trunk/demos/PidStandalone/uav/resources/core2-64/x8.sh
===================================================================
--- trunk/demos/PidStandalone/uav/resources/core2-64/x8.sh	(revision 301)
+++ trunk/demos/PidStandalone/uav/resources/core2-64/x8.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $IGEP_ROOT/uav_dev/bin/noarch/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu
Index: trunk/demos/SimpleFleet/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/SimpleFleet/simulator/CMakeLists.txt	(revision 301)
+++ trunk/demos/SimpleFleet/simulator/CMakeLists.txt	(revision 302)
@@ -2,11 +2,8 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_SIMULATOR TRUE)
 SET(FLAIR_USE_SIMULATOR_GL TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -14,29 +11,6 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR SimpleFleet
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/SimpleFleet/simulator/resources/core2-64/simulator_x8.sh
===================================================================
--- trunk/demos/SimpleFleet/simulator/resources/core2-64/simulator_x8.sh	(revision 301)
+++ trunk/demos/SimpleFleet/simulator/resources/core2-64/simulator_x8.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -n x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-bin/models -s $FLAIR_ROOT/flair-bin/models/indoor_flight_arena.xml
+$EXEC -n x8 -a 127.0.0.1 -p 9000 -x simulator_x8.xml -o 10 -m $FLAIR_ROOT/flair-src/models -s $FLAIR_ROOT/flair-src/models/indoor_flight_arena.xml
Index: trunk/demos/SimpleFleet/uav/CMakeLists.txt
===================================================================
--- trunk/demos/SimpleFleet/uav/CMakeLists.txt	(revision 301)
+++ trunk/demos/SimpleFleet/uav/CMakeLists.txt	(revision 302)
@@ -2,5 +2,4 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
@@ -8,8 +7,6 @@
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -18,29 +15,6 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR SimpleFleet
+           COPY_RESOURCES
 )
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/SimpleFleet/uav/resources/core2-64/x8_0.sh
===================================================================
--- trunk/demos/SimpleFleet/uav/resources/core2-64/x8_0.sh	(revision 301)
+++ trunk/demos/SimpleFleet/uav/resources/core2-64/x8_0.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x8_0 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu0 -b 127.255.255.255:20010
Index: trunk/demos/SimpleFleet/uav/resources/core2-64/x8_1.sh
===================================================================
--- trunk/demos/SimpleFleet/uav/resources/core2-64/x8_1.sh	(revision 301)
+++ trunk/demos/SimpleFleet/uav/resources/core2-64/x8_1.sh	(revision 302)
@@ -7,5 +7,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC -n x8_1 -a 127.0.0.1 -p 9000 -l ./ -x setup_x8.xml -t x8_simu1 -b 127.255.255.255:20010 -d 21000
Index: trunk/demos/Sinus/CMakeLists.txt
===================================================================
--- trunk/demos/Sinus/CMakeLists.txt	(revision 301)
+++ trunk/demos/Sinus/CMakeLists.txt	(revision 302)
@@ -2,10 +2,7 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
-SET(COPY_RESOURCE_FILES true)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -16,33 +13,6 @@
 )
 
-LINK_DIRECTORIES (
-	${FLAIR_LIBRARY_DIR}
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}"
+           DEST_DIR Sinus
+           COPY_RESOURCES
 )
-
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-)
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_rt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
-
-INSTALL(
-	TARGETS ${PROJECT_NAME}_nrt
-	RUNTIME DESTINATION $ENV{FLAIR_ROOT}/flair-bin/demos/${ARCH_DIR}/${PROJECT_NAME}
-)
Index: trunk/demos/Sinus/resources/core2-64/Sinus.sh
===================================================================
--- trunk/demos/Sinus/resources/core2-64/Sinus.sh	(revision 301)
+++ trunk/demos/Sinus/resources/core2-64/Sinus.sh	(revision 302)
@@ -6,5 +6,5 @@
 fi
 
-. $FLAIR_ROOT/flair-dev/scripts/distribution_specific_hack.sh
+. $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
 $EXEC
Index: trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt
===================================================================
--- trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt	(revision 301)
+++ trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt	(revision 302)
@@ -2,5 +2,4 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
@@ -8,6 +7,5 @@
 SET(FLAIR_USE_META TRUE)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -16,19 +14,3 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-)
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}")
Index: trunk/demos/Skeletons/CustomTorques/CMakeLists.txt
===================================================================
--- trunk/demos/Skeletons/CustomTorques/CMakeLists.txt	(revision 301)
+++ trunk/demos/Skeletons/CustomTorques/CMakeLists.txt	(revision 302)
@@ -2,5 +2,4 @@
 cmake_minimum_required(VERSION 2.8)
 
-SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
@@ -8,6 +7,5 @@
 SET(FLAIR_USE_META TRUE)
 
-include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
-include(${FLAIR_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
 SET(SRC_FILES
@@ -16,19 +14,3 @@
 )
 
-INCLUDE_DIRECTORIES(
-	${FLAIR_INCLUDE_DIR}
-)
-
-#real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_rt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
-
-#non real time executable
-ADD_EXECUTABLE(${PROJECT_NAME}_nrt
-	${SRC_FILES}
-)
-
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
+FLAIR_DEMO(${PROJECT_NAME} "${SRC_FILES}")
